<!DOCTYPE html>
<html lang="{{ site.lang }}" dir="{{ site.dir }}">
  <head>
    <meta charset="UTF-8">
    <base href="{% base %}" />
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta name="theme-color" content="white"/>
    <meta name="color-scheme" content="light"/>
    <meta name="referrer" content="strict-origin-when-cross-origin"/>

    {% comment %}
    No tenemos forma de hashear SASS aún, por lo que renovamos la caché
    aplicando la hora de compilación del sitio.  Es importante que los
    CSS se renueven cuando se regenera el sitio, porque pueden contener
    variables dinámicas (como personalización de colores y tipografía) o
    minificarse distinto dependiendo del contenido.
    {% endcomment %}
    <link href="assets/css/styles.css?{{ site.time | date: '%s' }}" rel="stylesheet" data-turbo-track="reload">

    {% include_cached pack.html %}

    {% comment %}
    Agregar otras tipografías.  Esto hace que las tipografías se carguen
    lo más rápido posible y minimizar el tiempo en que se ven las del
    navegador.  En Firefox todavía no está soportado.

    Fork Awesome lleva la hora de generación para poder renovarlo si
    agregamos íconos nuevos, de lo contrario puede quedar cacheado para
    siempre y les visitantes van a ver íconos rotos.
    {% endcomment %}
    {% include_cached preload_font.html font='assets/fonts/forkawesome-webfont.woff2' %}

    <link rel="icon" type="image/svg+xml" href="public/favicon.svg">
    <link rel="alternate icon" href="public/favicon.ico">
    <link rel="mask-icon" href="public/favicon.svg" color="white">

    {% seo %}
    {% feed_meta %}

    {% if page.url == '/' %}
      {% for locale in site.locales %}
        <link rel="alternate" hreflang="{{ locale }}" href="../{{ locale }}/" />
      {% endfor %}

      <link rel="alternate" hreflang="x-default" href="../{{ site.default_locale }}/" />
    {% else %}
      {% for locale in page.locales %}
        <link rel="alternate" hreflang="{{ locale.collection }}" href="../{{ locale.url }}" />

        {% if locale.collection == site.default_locale %}
          <link rel="alternate" hreflang="x-default" href="../{{ locale.url }}" />
        {% endif %}
      {% endfor %}

      {% if site.locale == site.default_locale %}
        <link rel="alternate" hreflang="x-default" href="../{{ page.url }}" />
      {% endif %}
    {% endif %}

    {% include_cached social_networks.html %}
  </head>
  {% comment %}
    El sitio es una columna grande y el pie está siempre al final, para
    imprimirlo lo mostramos como un bloque.

    El alto mínimo del sitio es el alto de la pantalla.
  {% endcomment %}
  <body class="d-flex flex-column justify-content-between d-print-block min-vh-100">
    {% include_cached navbar.html %}

    {% comment %}
      El espacio principal se expande para ocupar todo el alto
      disponible y empuja el pie al fondo.
    {% endcomment %}
    <main tabindex="-1" role="main" id="content" class="flex-grow-1">
      <div class="row no-gutters align-items-center justify-content-center d-print-block">
        <div class="col-10">
          {{ content }}
        </div>
      </div>
    </main>

    {% include_cached footer.html %}
  </body>
</html>
